---
trigger:
- master

pool:
  vmImage: 'ubuntu-20.04'

stages:

# Fedora

- stage: Fedora_Ansible_Latest
  dependsOn: []
  jobs:
  - template: templates/group_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: fedora-latest
      ansible_version: "-core"

# Fedora

- stage: Fedora_Latest
  dependsOn: []
  jobs:
  - template: templates/group_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: fedora-latest
      ansible_version: "-core >=2.14,<2.15"

# Galaxy on Fedora

- stage: Galaxy_Fedora_Latest
  dependsOn: []
  jobs:
  - template: templates/galaxy_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: fedora-latest
      ansible_version: "-core >=2.14,<2.15"

# CentOS 9 Stream

- stage: CentOS_9_Stream
  dependsOn: []
  jobs:
  - template: templates/group_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: c9s
      ansible_version: "-core >=2.14,<2.15"

# CentOS 8 Stream

- stage: CentOS_8_Stream
  dependsOn: []
  jobs:
  - template: templates/group_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: c8s
      ansible_version: "-core >=2.14,<2.15"

# CentOS 7

- stage: CentOS_7
  dependsOn: []
  jobs:
  - template: templates/group_tests.yml
    parameters:
      build_number: $(Build.BuildNumber)
      scenario: centos-7
      ansible_version: "-core >=2.14,<2.15"
